<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yunzhi.marketing.mapper.HelpRecordMapper">

    <select id="taHelpRecordDetails" resultType="com.yunzhi.marketing.entity.HelpRecord">
    select * from ta_help_record
    where help_record_initiate_id =#{helpRecordInitiateId}
    </select>

    <select id="getHelpRecordExportList" resultType="com.yunzhi.marketing.excel.HelpRecordExport">
    SELECT
    b.name as name,
    b.create_date as createDate,
    b.phone as phone
    from ta_help_record b
    where b.help_record_initiate_id =  #{helpRecordInitiateId}
     order by b.create_date desc
     limit #{pageCode}, #{pageSize}
    </select>
</mapper>
